package com.xhpc.charging.station.service;

import com.xhpc.charging.station.mapper.XhpcBarrierGateRecordMapper;
import com.xhpc.common.core.web.service.BaseService;
import com.xhpc.common.dto.XhpcBarrierGateRecordExcel;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class XhpcBarrierGateRecordServiceImpl extends BaseService implements IXhpcBarrierGateRecordService {

    @Resource
    private XhpcBarrierGateRecordMapper xhpcBarrierGateRecordMapper;

    @Override
    public List<Map<String, Object>> getLsit(Map<String, Object> params) {
        startPage();
        return xhpcBarrierGateRecordMapper.getLsit(params);
    }

    @Override
    public List<XhpcBarrierGateRecordExcel> export(Map<String, Object> params) {
        return xhpcBarrierGateRecordMapper.export(params);
    }

    @Override
    public Map<String, Object> getXhpcBarrierGateRecordById(Long barrierGateRecordId) {
        return xhpcBarrierGateRecordMapper.getXhpcBarrierGateRecordById(barrierGateRecordId);
    }
}
